SRC += $(wildcard $(HAL_DIR)/hal_ircut/*.c)
CFLAGS += -I$(HAL_DIR)/hal_ircut
ifdef MOD_IRCUT
	SRC += $(wildcard $(HAL_DIR)/hal_ircut/$(MOD_IRCUT)/*.c)
else
	$(warning warning you sure no ircut?)
endif